module slow_types

integer, parameter ::  SLOW_INPUT=-1
integer, parameter ::  SLOW_OUTPUT=1
integer, parameter ::  SLOW_NO_FILE=0
integer, parameter ::  SOU_COMP=1
integer, parameter ::  REC_COMP=2
integer, parameter ::  P_SLOW=1
integer, parameter ::  S_SLOW=2

type slow_param_type 
  logical slowness,extrapolate_slow,shear_receiver
  character(len=128) :: tag
  integer file
  integer esize
  integer n_z,n_tau,n_mx,n_my,n_comp
  real z_0,tau_0,d_z,d_tau,mx_0,d_mx,my_0,d_my
  real slow_0,scale
end type slow_param_type 

end module slow_types

