!!  Re2D_zoff_shan
!
!
!%

program Rev2D_zoff_shan

  use sep
  use genrev3d_mod

  use Rev2D_zoff_types
  use Rev2D_zoff_mod

  implicit none


  interface 
     subroutine param_Rev2D_zoff(Rev2D_zoff_par)
       use Rev2D_zoff_types
       type (Rev2D_zoff_param_type) Rev2D_zoff_par
     end subroutine param_Rev2D_zoff
  end interface
 


  type (Rev2D_zoff_param_type) Rev2D_zoff_par
  logical adj,add
  logical test
  integer stat
  character(len=128) tag_data,tag_mod
  integer                          :: omp_get_num_threads

  call initpar()


  call from_par('test',test,.false.)
  call from_par('add',add,.false.)
  call from_par('adj',adj,.false.)


  if(test) then
    tag_data='Down_data'
    tag_mod='Data'

    call param_Rev2D_zoff(Rev2D_zoff_par)
    call init_Rev2D_zoff_par(Rev2D_zoff_par)
    call genrev3d_init(verb=.false.,init_rev_extrap_oper=Rev2D_zoff_init)

   stat=genrev3d(adj,add,tag_mod,tag_data, &
                  Rev2D_zoff_extrap_oper)

  else
  !{

    tag_data='Image'
    tag_mod='Data'

    call param_Rev2D_zoff(Rev2D_zoff_par)
    call init_Rev2D_zoff_par(Rev2D_zoff_par)
    call genrev3d_init(verb=.false.,init_rev_extrap_oper=Rev2D_zoff_init)

!!$OMP PARALLEL
!!  write(0,*)'In Main: n_threads =',omp_get_num_threads()
!!$OMP END PARALLEL

   stat=genrev3d(adj,add,tag_mod,tag_data, &
                  Rev2D_zoff_extrap_oper)
  !}
  end if
 

  stop	
end program Rev2D_zoff_shan
